version: '3'
services:
  app:
    build: .
    container_name: openhilfedeskwebsite
    volumes:
      - ./app:/var/www/html
    ports:
      - 8082:80
    environment:
      - APP_ENV=local
      - APP_DEBUG=true
    networks:
      - openhilfedeskwebsite
    depends_on:
      - db    

  db:
    image: mysql:8.0
    container_name: openhilfedeskwebsitedb
    restart: unless-stopped
    environment:
      MYSQL_DATABASE: openhilfedeskwebsitedb
      MYSQL_ROOT_PASSWORD: password
      SERVICE_TAGS: dev
      SERVICE_NAME: mysql
    volumes:
      - openhilfedeskwebsitedb:/var/lib/mysql
    ports:
      - 8083:3306
    networks:
      - openhilfedeskwebsite


networks:
    openhilfedeskwebsite:
        driver: bridge
volumes:
    openhilfedeskwebsitedb:
        driver: local